Index: code/trunk/data/levels/towerDefense.oxw
===================================================================
--- code/trunk/data/levels/towerDefense.oxw	(revision 10629)
+++ code/trunk/data/levels/towerDefense.oxw	(revision 11052)
@@ -39,6 +39,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -60,5 +60,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -69,5 +69,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -76,6 +79,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -97,5 +100,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -106,5 +109,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LightningMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
     <attached>
       <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
@@ -116,6 +122,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -137,5 +143,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -146,5 +152,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <SplitMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -153,6 +162,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -174,5 +183,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -180,8 +189,11 @@
         </links>
         <Weapon>
-          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />  
+          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 fuel=10/>  
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <RocketMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
       <attached>
       <ParticleSpawner position="0,0,0" source="Orxonox/sparks" lifetime=3.0 autostart=1 loop=1 />
@@ -193,6 +205,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -214,5 +226,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -223,5 +235,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -243,6 +258,6 @@
    maxshieldhealth     = 15
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 1000
@@ -308,6 +323,6 @@
    maxshieldhealth     = 0
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
@@ -381,6 +396,6 @@
    maxshieldhealth     = 5
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
